> For the complete documentation index, see [llms.txt](https://milonics.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://milonics.gitbook.io/api-documentation/getting-started/introduction.md).

# Before you start

Insurpass is organized around [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) and uses [HTTP protocol](https://en.wikipedia.org/wiki/Hypertext_Transfer_Protocol#Request_messages) as the transport format for requests (using methods such as GET, PUT, POST, DELETE, etc.) and responses (structured in [JSON](https://www.json.org/json-en.html)).

We recommend that you use one of our autogenerated [SDKs](https://en.wikipedia.org/wiki/Software_development_kit#:~:text=A%20software%20development%20kit%20\(SDK,platform%20and%20operating%20system%20combination.\)s) which is made available for several common programming languages, however, the raw HTTP documentation is helpful if your language of choice isn't supported or if you prefer not to use an SDK.

Before you can start building with Insurpass, you'll need to be given access. This access comes in the form of an API key and you will need to request one by signing up [here](http://insurpass.com).

You can use Insurpass' API in test mode where you can pull test data from all endpoints without affecting your live data. The API key you use to authenticate the request will determine whether the request is in live mode or test mode.

Insurpass' latest version is V1 (version one). As we release new versions, we will communicate changes early enough and limit any modifications that can cause backwards-incompatible changes to applications.

Are there terms you do not understand? Check them out in our [Glossary](https://app.gitbook.com/@insurpass/s/insurpass-api-documentation/~/drafts/-MjuP7y8UD95X6-uSZVg/build-with-insurpass/definitions), we're sure it'll be of help.

We have also created a Customer Journey Guidebook and UI Sample Kit that serves as a complementary document to this API documentation, it highlights in detail the workflow to adhere to while providing insurance services within your app/platform. Our Customer Journey Guidebook also details User Interface Sample Kit you can build into your frontend component. You can view it [here](https://app.gitbook.com/@insurpass/s/insurpass-api-documentation/~/drafts/-MjuP7y8UD95X6-uSZVg/guide/customer-journey-guidebook).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/getting-started/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
